# Generated by Django 3.0.6 on 2020-06-03 18:20

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('circuits', '0018_standardize_description'),
        ('dcim', '0105_interface_name_collation'),
        ('netbox_gitlab', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='TraceElement',
            fields=[
                ('id', models.AutoField(
                    auto_created=True,
                    primary_key=True,
                    serialize=False)
                 ),
                ('step', models.PositiveIntegerField()),
                ('_cable', models.ForeignKey(
                    blank=True,
                    null=True,
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='+',
                    to='dcim.Cable')
                 ),
                ('_circuit_termination', models.ForeignKey(
                    blank=True,
                    null=True,
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='+',
                    to='circuits.CircuitTermination')
                 ),
                ('_front_port', models.ForeignKey(
                    blank=True,
                    null=True,
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='+',
                    to='dcim.FrontPort')
                 ),
                ('_interface', models.ForeignKey(
                    blank=True,
                    null=True,
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='+',
                    to='dcim.Interface')
                 ),
                ('_rear_port', models.ForeignKey(
                    blank=True,
                    null=True,
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='+',
                    to='dcim.RearPort')
                 ),
                ('from_interface', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='trace_elements',
                    to='dcim.Interface')
                 ),
            ],
            options={
                'verbose_name': 'trace element',
                'verbose_name_plural': 'trace elements',
                'ordering': ('from_interface_id', 'step'),
                'unique_together': {('from_interface', 'step')},
            },
        ),
    ]
